Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Interface Marshaller

All Known Implementing Classes:
  AbstractMarshaller

public interface Marshaller

An interface for marshaller implementations, e.g. DTD and XML schema marshallers.

Version:
  `$Revision: 1.4.2.1 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`static class` | `Marshaller.FACTORY`

Field Summary
`static String` | `ENCODING`
`static String` | `PROP_MARSHALLER` The value should be a fully qualified class name of the Marshaller implementation.
`static String` | `PROP_OUTPUT_INDENTATION` Allowed values are true and false.
`static String` | `PROP_OUTPUT_XML_VERSION` Allowed values are true and false.
`static String` | `VERSION`

Method Summary
`void` | `addRootElement(String namespaceUri, String prefix, String name)`
`String` | `getProperty(String name)`
`void` | `mapClassToNamespace(Class cls, String root, String namespaceUri, Reader schemaReader, ObjectModelProvider provider)`
`void` | `mapClassToNamespace(Class cls, String root, String namespaceUri, String schemaUrl, ObjectModelProvider provider)`
`void` | `mapPublicIdToSystemId(String publicId, String systemId)`
`void` | `marshal(Reader schema, ObjectModelProvider provider, Object document, Writer writer)`
`void` | `marshal(String schemaUri, ObjectModelProvider provider, Object root, Writer writer)`
`void` | `setEncoding(String encoding)`
`void` | `setProperty(String name, String value)`
`void` | `setVersion(String version)`

Field Detail

### PROP_OUTPUT_XML_VERSION

    public static final String PROP_OUTPUT_XML_VERSION

  Allowed values are true and false. If not set, true is assumed. If true, xml version and encoding will be included into the marshalled XML content.

  See Also:
    Constant Field Values

### PROP_MARSHALLER

    public static final String PROP_MARSHALLER

  The value should be a fully qualified class name of the Marshaller implementation. Used by the FACTORY.getInstance().

  See Also:
    Constant Field Values

### PROP_OUTPUT_INDENTATION

    public static final String PROP_OUTPUT_INDENTATION

  Allowed values are true and false. If not set, true is assumed. If true, XML content will be written with indentations, otherwise in one string.

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### ENCODING

    public static final String ENCODING

See Also:
  Constant Field Values

Method Detail

### setVersion

    public void setVersion(String version)

### setEncoding

    public void setEncoding(String encoding)

### mapPublicIdToSystemId

    public void mapPublicIdToSystemId(String publicId,
                                      String systemId)

### mapClassToNamespace

    public void mapClassToNamespace(Class cls,
                                    String root,
                                    String namespaceUri,
                                    Reader schemaReader,
                                    ObjectModelProvider provider)

### mapClassToNamespace

    public void mapClassToNamespace(Class cls,
                                    String root,
                                    String namespaceUri,
                                    String schemaUrl,
                                    ObjectModelProvider provider)

### addRootElement

    public void addRootElement(String namespaceUri,
                               String prefix,
                               String name)

### marshal

    public void marshal(String schemaUri,
                        ObjectModelProvider provider,
                        Object root,
                        Writer writer)
                 throws IOException,
                        ParserConfigurationException,
                        SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### marshal

    public void marshal(Reader schema,
                        ObjectModelProvider provider,
                        Object document,
                        Writer writer)
                 throws IOException,
                        SAXException,
                        ParserConfigurationException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

### setProperty

    public void setProperty(String name,
                            String value)

### getProperty

    public String getProperty(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.